### Name: gpuSvmTrain
### Title: Train a support vector machine on a dataset
### Aliases: gpuSvmTrain


### ** Examples

# y is discrete: -1 or 1 and we set isRegression to FALSE
y <- round(runif(20, min = 0, max = 1))
for(i in 1:20) { if(y[i] == 0) {y[i] <- -1}}

x <- matrix(runif(200), 20, 10)

a <- gpuSvmTrain(y, x, isRegression = FALSE)
print(a)

b <- gpuSvmPredict(x, a$supportVectors, a$svCoefficients, a$svOffset,
    isRegression = FALSE)
print(b)

# this time around, y : -1 or 1 and we set isRegression to FALSE
y <- runif(20, min = -1, max = 1)

x <- matrix(runif(200), 20, 10)

a <- gpuSvmTrain(y, x, isRegression = TRUE)
print(a)

b <- gpuSvmPredict(x, a$supportVectors, a$svCoefficients, a$svOffset,
    isRegression = TRUE)
print(b)



